Package org.eclipse.emf.cdo.lm.client

# Class ISystemDescriptor.ResolutionException.Reason.Module

java.lang.Object
org.eclipse.emf.cdo.lm.client.ISystemDescriptor.ResolutionException.Reason.Module

Enclosing class:
  `ISystemDescriptor.ResolutionException.Reason`

public static final class ISystemDescriptor.ResolutionException.Reason.Module extends Object

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`name`
`final Version`
`version`

## Constructor Summary

Constructors
Constructor
Description
`Module(String name, Version version)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public final String name

### version

public final Version version

## Constructor Details

### Module

public Module(String name, Version version)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`